# Interface gmfDisplayQueryGridOptions

interface gmfDisplayQueryGridOptions {
featuresStyle: StyleLike;
maxRecenterZoom: number;
mergeTabs: {};
removeEmptyColumns: boolean;
selectedFeatureStyle: StyleLike;
}

- Defined in src/options.js:751

#####
Index

### Properties

featuresStyle
maxRecenterZoom
mergeTabs
removeEmptyColumns
selectedFeatureStyle

## Properties

### featuresStyle

featuresStyle: StyleLike

A style object for all features from the result of the query.

- Defined in src/options.js:752

### maxRecenterZoom

maxRecenterZoom: number

Maximum zoom-level to use when zooming to selected features.

- Defined in src/options.js:755

### mergeTabs

mergeTabs: {}

Configuration to merge grids with the same attributes into a single grid.

#### Type declaration

- Defined in src/options.js:756

### removeEmptyColumns

removeEmptyColumns: boolean

Should empty columns be hidden? Default: `false`.

- Defined in src/options.js:754

### selectedFeatureStyle

selectedFeatureStyle: StyleLike

A style object for the currently selected features.

- Defined in src/options.js:753